ADAM_2.12: CLI 0.32.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# TransformAlignmentsArgs 

###

#### class TransformAlignmentsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformAlignmentsArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TransformAlignmentsArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
   Definition Classes
     TransformAlignmentsArgs → ADAMSaveAnyArgs
6.  var binQualityScores: String
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  var cache: Boolean
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  var coalesce: Int
11.  var command: String
12.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var concatFilename: String
14.  var deferMerging: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
15.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
16.  var disableFastConcat: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
17.  var disableProcessingStep: Boolean
18.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
21.  var fastqReadGroup: String
22.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
23.  var forceLoadBam: Boolean
24.  var forceLoadFastq: Boolean
25.  var forceLoadIFastq: Boolean
26.  var forceLoadParquet: Boolean
27.  var forceShuffle: Boolean
28.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  var inputPath: String
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  var knownIndelsFile: String
33.  var knownSnpsFile: String
34.  var limitProjection: Boolean
35.  var locallyRealign: Boolean
36.  var lodThreshold: Double
37.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
38.  var markDuplicates: Boolean
39.  var maxConsensusNumber: Int
40.  var maxIndelSize: Int
41.  var maxReadLength: Int
42.  var maxReadsPerTarget: Int
43.  var maxTargetSize: Int
44.  var mdTagsFragmentSize: Long
45.  var mdTagsOverwrite: Boolean
46.  var mdTagsReferenceFile: String
47.  var minAcceptableQuality: Int
48.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
49.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
50.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
51.  var outputPath: String
    Definition Classes
      TransformAlignmentsArgs → SaveArgs
52.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
53.  var pairedFastqFile: String
54.  var partitionByStartPos: Boolean
55.  var partitionedBinSize: Int
56.  var recalibrateBaseQualities: Boolean
57.  var reference: String
58.  var regionPredicate: String
59.  var repartition: Int
60.  var samplingFraction: Double
61.  var samplingSeed: Long
62.  var sortByReadName: Boolean
63.  var sortByReferencePosition: Boolean
64.  var sortByReferencePositionAndIndex: Boolean
65.  var sortFastqOutput: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
66.  var storageLevel: String
67.  var stringency: String
68.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
69.  def toString(): String
    Definition Classes
      AnyRef → Any
70.  var unclipReads: Boolean
71.  var useAlignedReadPredicate: Boolean
72.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
73.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
74.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped